from cuefig.utils import eprint
from datetime import datetime
from pathlib import Path
try:
    from conf import *
except ImportError:
    eprint("You dont have create conf package")

try:
    from conf.config import *
except ImportError:
    eprint("You dont have create conf/config.py file")

try:
    from conf.config_deploy import *
except ImportError:
    eprint("You dont have create conf/config_deploy.py file")

def main():
    conf_root = Path("conf")
    file_list = [
        conf_root / "__init__.py",
        conf_root / "config.py",
        conf_root / "config_deploy.py",
    ]
    for path in [conf_root] + file_list:
        if path.exists():
            eprint(f"{path} already exists")
            continue
        if path.is_dir():
            path.mkdir()
        elif path.is_file():
            with open(path, mode="w", encoding="utf8") as f:
                timestamp = datetime.now().strftime("%Y-%m-%d %X")
                print(f'# Generated by cuefig at {timestamp}', file=f)


